# DoorBell-MQTT-Gateway

Based on

- Arduino Uno
- Ethernet interface using MQTT

Watchout for GPIO changes as triggers for

- door bell input
- mailbox observer (post entry)
- mailbox observer (takeout posts)
- light requests (button)

Serve outputs (using relays to trigger) for

- turn light on at mailbox
- turn bell sound on

MQTT messages:

- doorBellTopic = "doorBellGW/doorbell"
  --> issued when pushbutton pressed: trigger / re-trigger / release
- postboxFlapTopic = "doorBellGW/mailboxFlap"
  --> issued, when flap is opened to enter mail: trigger / re-trigger / release
- postboxDoorTopic = "doorBellGW/mailboxDoor"
  --> issued, when mailbox door is opened to remove mail: trigger / re-trigger / release
- doorBellTriggerSoundTopic = "doorBellGW/doorbellTrigger"
  --> listens to this message and turns on relay for a short time to trigger the bell/gong
- doorLightRequestTopic = "doorBellGW/lightRequest"
  --> issued, when light pushbutton is pressed: trigger / re-trigger / release; light is turned on for 30 seconds
- postboxLightTopic = "doorBellGW/light"
  --> listens to this message and turns light on at mailbox for 30 seconds
- postboxLightStatusTopic = "doorBellGW/light/status"
  --> issued, when light at mailbox is turned on/off: on / off

